#!/bin/bash
# ex.2022/3/23
# 請將備份檔放在 /mnt/account2

rm -f /mnt/big_account_list2
rm -f /mnt/big_mysql_list2

# 確認每個備份大小，進行排序後，將帳號名稱寫入指定檔案
find /mnt/account2/* -maxdepth 0 -type d | xargs du -s | sort -n -k 1 | cut -d '/' -f 4 > /mnt/big_account_list2

# 查詢每個備份帳號mysql大小，將大於500M使用者找出來
find /mnt/account2/*/mysql -type f -size +500M -name *.sql | xargs du -s | sort -n -k 1 | cut -d '/' -f 4 > /mnt/big_mysql_list2
sed -i "/\./d" /mnt/big_mysql_list2

# 將 big_account_list2 文件內 big_mysql 帳號名稱移除，並增加至文件底部
filename="/mnt/big_mysql_list2"
exec < $filename

while read line
do
sed -i "/$line/d" /mnt/big_account_list2
echo "$line" >> /mnt/big_account_list2
done

# 確認產生帳號列表數量是否與備份帳號數量有差異
echo '備份帳號數量: ' `ls -l /mnt/account2/ | grep -v total | wc -l`
echo '列表帳號數量: ' `cat /mnt/big_account_list2 | wc -l`
echo '如果以上數量不相同，請通知Jacky作進一步確認 !!!'

# 將帳號列表移除phpchk，此帳號無須還原
sed -i "/phpchk/d" /mnt/big_account_list2

